#!/bin/bash

set -e

# setting defaults
PLUGIN_FILES=${PLUGIN_FILES:-"*"}

NAME=$(cat *.spec | awk '/^Name\:\ / {print $2}')
VERSION=$(cat *.spec | awk '/^Version\:\ / {print $2}')
RELEASE=$(cat *.spec | awk '/^Release\:\ / {print $2}')

FNAME="$NAME-$VERSION"
PLUGIN_DIR=$(eval "echo ${PLUGIN_DIR:-$FNAME}")
TMPDIR=$(mktemp -d)
TMPDIR2="$TMPDIR/${PLUGIN_DIR}"
OUTDIR=$(pwd)

DEST_FNAME="${FNAME}.tar.gz"
PLUGIN_DEST=$(eval "echo ${PLUGIN_DEST:-$DEST_FNAME}")


echo
echo NAME: ${NAME}
echo VERSION: ${VERSION}
echo RELEASE: ${RELEASE}
echo archive name: ${PLUGIN_DEST}
echo archive dir: ${PLUGIN_DIR}
echo

if [ -f "${PLUGIN_DEST}.tar.gz" ] ; then rm "${PLUGIN_DEST}.tar.gz" ; fi

mkdir -p "$TMPDIR2"
cp -r $( echo "${PLUGIN_FILES}" | sed 's/\([^\\]\)\,/\1 /g' ) "$TMPDIR2/"
cd "$TMPDIR"

TAR_PARAMS="--owner=nobody --group=nogroup"
tar -cvz $TAR_PARAMS -f "$OUTDIR/${PLUGIN_DEST}" "${PLUGIN_DIR}"
chmod 666 "$OUTDIR/${PLUGIN_DEST}"
cd "$OUTDIR"

rm -rf "$TMPDIR"

echo
echo "Successfully created: $OUTDIR/${PLUGIN_DEST}"
